Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157044 - Keyboard lockup after a few seconds when serial console enabled
Summary: Keyboard lockup after a few seconds when serial console enabled
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard: MassClosed
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-06 12:43 UTC by Robin Green
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-20 04:41:12 UTC


Attachments (Terms of Use)
dmesg saved from serial console after keyboard crash (deleted)
2005-05-06 19:10 UTC, Robin Green
no flags Details


Links
System ID Priority Status Summary Last Updated
Linux Kernel 4596 None None None Never

Description Robin Green 2005-05-06 12:43:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
I have a serial console attached on /dev/ttyS0 (it is another Linux machine). The serial console seems to work; however, if I boot up with the serial console enabled, a few seconds after starting to log in at the kdm login manager, the keyboard locks up. It is completely inoperable - I cannot switch to a virtual console with CTRL+ALT+F1, and the Num Lock key does not cause the Num Lock LED to light up.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot with the following grub command line
kernel /vmlinuz-2.6.11-1.1284_FC4 ro root=/dev/VolGroup00/LogVol00 noacpi elevator=cfq console=tty1 console=ttyS0,38400


Actual Results:  Keyboard locks up a few seconds after starting to log in at the kdm graphical prompt.

Expected Results:  Keyboard should not lock up.

Additional info:

# dmesg|grep ttyS
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A

The mainboard only has one RS-232 serial port. I'm not sure why that message is repeated.

Comment 1 Robin Green 2005-05-06 12:45:51 UTC
I ommitted the version above. It should be kernel-2.6.11-1.1284_FC4.

kernel-2.6.11-1.1226_FC4 has the same problem.

Comment 2 Robin Green 2005-05-06 12:59:12 UTC
Eliminating some possibilities:

- Removing my KVM switch makes no difference

- Removing the "noacpi" from the kernel command line (I can't remember why I put
that there) makes no difference

By the way, the mouse still works.

Comment 3 Pete Zaitcev 2005-05-06 16:39:32 UTC
Please attach full dmesg, don't just grep. That might help. But it looks
like something was reloading modules and this is what probably killed
the keyboard...
[Don't drop dmesg into comments, attach as a file instead]
[dmesg will also show if this is a PS/2 or USB keyboard]


Comment 4 Robin Green 2005-05-06 19:10:05 UTC
Created attachment 114093 [details]
dmesg saved from serial console after keyboard crash

Comment 5 Robin Green 2005-05-07 15:47:44 UTC
Reproduced on 2.6.12-rc3, so I reported it upstream:
http://bugme.osdl.org/show_bug.cgi?id=4596

Comment 6 Dave Jones 2006-10-16 19:25:21 UTC
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Comment 7 Jon Stanley 2008-01-20 04:41:12 UTC
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.


Note You need to log in before you can comment on or make changes to this bug.